<?
require_once "inc/nfecode_ecommerce.php";
require_once "inc/messages.php";

if(isset($_POST['btn-add'])){
    $id_pedido= $_POST['id_pedido'];
    $fl_tipo  = $_POST['fl_tipo'];
    $ds_numnf_referencia = $_POST['ds_numnf_referencia'];

    $redirect = "erpc_nfecode_devolucao_nfe_add.php";

    $EcommerceNfe = new EcommerceNfe();

    $pedidos = array(
      $id_pedido
    );

    $EcommerceNfe->LiberarEcommerce->id_tipo_nfe = "$fl_tipo"; // 0 Entrada 1 Saida
    $EcommerceNfe->LiberarEcommerce->ds_numnf_referencia= "$ds_numnf_referencia";

    $return = $EcommerceNfe->ecoFaturar($pedidos);

    /* Exibe erro em tela para o Usuário ! */
    if($return['fl_sefaz']==true){
      $redirect = $return['ds_link'];
    }else{
      foreach ($return['ds_mensagem'] as $key => $value) {
          addError("Erro ao processar e enviar a Nfe: $value");
      }
    }

    header("location:$redirect");

    /*
    // $EcommerceNfe->LiberarEcommerce->ds_complementar_nfe= "$ds_complementar_nfe";
    // $ds_complementar_nfe=$_POST['ds_complementar_nfe'];
    // echo "<br>Nota Fiscal de Referencia:$ds_numnf_referencia";

    echo "<br>";
    echo "<br>Número do Documento Gerado:$EcommerceNfe->id_doc_sai";
    echo "</br>";

    echo "<br>Retorno:";
    echo "<pre>";
    print_r($return);
    echo "</pre>";
    */

    /* Caso 1: Faz Liberação e Faturamento dos Pedidos */
    // $return = $EcommerceNfe->ecoFaturar($pedidos);

    /* Caso 2: Parametros necessários para emitir uma Devolução
    // $EcommerceNfe->LiberarEcommerce->id_finalidade      = 4;
    $EcommerceNfe->LiberarEcommerce->fl_consumidor_final= 0;
    $EcommerceNfe->LiberarEcommerce->ds_numnf_referencia= '35170707494091000108550010000000061000000063';
    */

    /* Caso 3: Parametros necessários para enviar novamente um documento de Saida em Caso de Erro
    $EcommerceNfe->id_doc_sai = 91;
    $EcommerceNfe->ecoComunicarSefaz();
    */
}

?>
